<div class="quick_order_content">
  <div class="row quick_order_content_row">
    <div class="col-sm-6">
      <div class="first_column">
        <mat-form-field class="form-field" appearance="fill">
          <mat-label>Select location</mat-label>
          <mat-select [formControl]="locationControl" [disabled]="locationSelectionAvailability">
            <mat-option *ngFor="let location of stockLocations$ | async" [value]="location.locationName">
              {{location.locationName}}
            </mat-option>
          </mat-select>
        </mat-form-field>
        <mat-form-field class="example-full-width" appearance="fill">
          <mat-label>Name</mat-label>
          <input matInput placeholder="Ex. Lesly" [formControl]="customerNameControl">
        </mat-form-field>
        <mat-form-field class="example-full-width" appearance="fill">
          <mat-label>Company</mat-label>
          <input matInput placeholder="Ex. Brainence" [formControl]="companyControl">
        </mat-form-field>
        <mat-form-field class="example-full-width" appearance="fill">
          <mat-label>Postcode</mat-label>
          <input matInput placeholder="Ex. 105-004" [formControl]="postcodeControl">
        </mat-form-field>
        <mat-form-field class="example-full-width" appearance="fill">
          <mat-label>Address</mat-label>
          <input matInput placeholder="Ex. Levandivka street" [formControl]="addressControl">
        </mat-form-field>
        <div class="notes_section">
          <mat-form-field class="example-full-width" appearance="fill">
            <mat-label>Notes</mat-label>
            <input matInput disabled [value]="notes.length">
          </mat-form-field>
          <button class="notes_modal_button" mat-mini-fab color="primary" (click)="openNotesModal()">
            <mat-icon>search</mat-icon>
          </button>
        </div>
        <div class="autocomplete">
          <app-autocomplete (itemSKUEvent)="onSelectItem($event)" (autocompleteRefEvent)="setAutocompleteRef($event)"></app-autocomplete>
        </div>
      </div>
    </div>
    <div class="col-sm-6">
      <div class="second_column">
        <mat-form-field appearance="fill">
          <mat-label>Select status</mat-label>
          <mat-select [formControl]="statusControl">
            <mat-option *ngFor="let status of statuses" [value]="status">
              {{status}}
            </mat-option>
          </mat-select>
        </mat-form-field>
        <mat-form-field class="example-full-width" appearance="fill">
          <mat-label>Phone</mat-label>
          <input matInput placeholder="Ex. 380683006028" [formControl]="phoneControl">
        </mat-form-field>
        <mat-form-field class="example-full-width" appearance="fill">
          <mat-label>Email</mat-label>
          <input matInput placeholder="Ex. lesly@braincence.com" type="email" [formControl]="emailControl">
        </mat-form-field>
        <mat-slide-toggle class="toggle" color="primary" [(ngModel)]="isPrintInvoiceChecked">Print invoice</mat-slide-toggle>
        <mat-slide-toggle class="toggle" color="primary" [(ngModel)]="isRulesEngineChecked">Run rules engine</mat-slide-toggle>
        <mat-slide-toggle class="toggle" color="primary" [(ngModel)]="isAutoProcessChecked">Auto process order</mat-slide-toggle>
        <button class="service_modal_button" mat-raised-button color="primary" (click)="openServiceModal()">Service</button>
      </div>
  </div>
  </div>
  <div class="items_table">
    <app-items-table (gridApiEvent)="setGridApi($event)"></app-items-table>
  </div>
  <hr class="divide_middle_line" />
  <div class="quick_order_footer">
    <div class="quick_order_footer_total">
      <h3>Total: £{{ getTotal() }}</h3>
    </div>
    <div class="quick_order_footer_create_button">
      <button class="create_button" mat-raised-button color="primary" (click)="onSubmitOrder()" [disabled]="checkSubmitAvailable()">Create order</button>
    </div>
  </div>
</div>
